Account, security & notifications

Notification Get Preferences

Returns the caller role in-app notification flag and email frequency.

GEThttps://api.toku.com/hris/notification-get-preferences

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/notification-get-preferences' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "receiveInAppNotifications": true,
  "notificationEmailFrequency": "OFF",
  "receiveSlackNotifications": true,
  "slackConnected": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired

Available options: OFF, IMMEDIATE, DAILY

receiveSlackNotificationsbooleanrequired
slackConnectedbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits